it.csi.mddtools.guigen

## Interface Column

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ExtraColumn

      public interface Column
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Column'. Modello della singola colonna di una Table.

  The following features are supported:

  - `Selector`
  - `Label`
  - `Sortable`
  - `Editable`
  - `Event Active`
  - `Editable Flag Selector`
  - `Multi Data Binding`
  - `Multidata Key Selector`
  - `Multidata Value Selector`
  - `Multidata Property Selector`
  - `Tooltip`
  - `Active Flag Selector`
  - `Field Max Length`
  - `Custom Decorator`
  - `Custom Sort Property Selector`
  See Also:
    `GuigenPackage.getColumn()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActiveFlagSelector()` Returns the value of the 'Active Flag Selector' attribute
    `java.lang.String` | `getCustomSortPropertySelector()` Returns the value of the 'Custom Sort Property Selector' attribute
    `java.lang.String` | `getEditableFlagSelector()` Returns the value of the 'Editable Flag Selector' attribute
    `int` | `getFieldMaxLength()` Returns the value of the 'Field Max Length' attribute
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute
    `AppDataBinding` | `getMultiDataBinding()` Returns the value of the 'Multi Data Binding' containment reference
    `java.lang.String` | `getMultidataKeySelector()` Returns the value of the 'Multidata Key Selector' attribute
    `java.lang.String` | `getMultidataPropertySelector()` Returns the value of the 'Multidata Property Selector' attribute
    `java.lang.String` | `getMultidataValueSelector()` Returns the value of the 'Multidata Value Selector' attribute
    `java.lang.String` | `getSelector()` Returns the value of the 'Selector' attribute
    `java.lang.String` | `getTooltip()` Returns the value of the 'Tooltip' attribute
    `boolean` | `isCustomDecorator()` Returns the value of the 'Custom Decorator' attribute
    `boolean` | `isEditable()` Returns the value of the 'Editable' attribute
    `boolean` | `isEventActive()` Returns the value of the 'Event Active' attribute
    `boolean` | `isSortable()` Returns the value of the 'Sortable' attribute
    `void` | `setActiveFlagSelector(java.lang.String value)` Sets the value of the '`Active Flag Selector`' attribute
    `void` | `setCustomDecorator(boolean value)` Sets the value of the '`Custom Decorator`' attribute
    `void` | `setCustomSortPropertySelector(java.lang.String value)` Sets the value of the '`Custom Sort Property Selector`' attribute
    `void` | `setEditable(boolean value)` Sets the value of the '`Editable`' attribute
    `void` | `setEditableFlagSelector(java.lang.String value)` Sets the value of the '`Editable Flag Selector`' attribute
    `void` | `setEventActive(boolean value)` Sets the value of the '`Event Active`' attribute
    `void` | `setFieldMaxLength(int value)` Sets the value of the '`Field Max Length`' attribute
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute
    `void` | `setMultiDataBinding(AppDataBinding value)` Sets the value of the '`Multi Data Binding`' containment reference
    `void` | `setMultidataKeySelector(java.lang.String value)` Sets the value of the '`Multidata Key Selector`' attribute
    `void` | `setMultidataPropertySelector(java.lang.String value)` Sets the value of the '`Multidata Property Selector`' attribute
    `void` | `setMultidataValueSelector(java.lang.String value)` Sets the value of the '`Multidata Value Selector`' attribute
    `void` | `setSelector(java.lang.String value)` Sets the value of the '`Selector`' attribute
    `void` | `setSortable(boolean value)` Sets the value of the '`Sortable`' attribute
    `void` | `setTooltip(java.lang.String value)` Sets the value of the '`Tooltip`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSelector

          java.lang.String getSelector()

      Returns the value of the 'Selector' attribute.

      If the meaning of the 'Selector' attribute isn't clear, there really should be more of a description here...

      Seleziona il field del record di cui è costituita la collezione associata alla tabella.
      Returns:
        the value of the 'Selector' attribute.
      See Also:
        `setSelector(String)`, `GuigenPackage.getColumn_Selector()`

    - #### setSelector

          void setSelector(java.lang.String value)

      Sets the value of the '`Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Selector' attribute.
      See Also:
        `getSelector()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      Etichetta della testata della colonna
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `GuigenPackage.getColumn_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### isSortable

          boolean isSortable()

      Returns the value of the 'Sortable' attribute.

      If the meaning of the 'Sortable' attribute isn't clear, there really should be more of a description here...

      Se impostata a true la colonna è ordinabile cliccando sulla testata.
      Returns:
        the value of the 'Sortable' attribute.
      See Also:
        `setSortable(boolean)`, `GuigenPackage.getColumn_Sortable()`

    - #### setSortable

          void setSortable(boolean value)

      Sets the value of the '`Sortable`' attribute.
      Parameters:
        `value` - the new value of the 'Sortable' attribute.
      See Also:
        `isSortable()`

    - #### isEditable

          boolean isEditable()

      Returns the value of the 'Editable' attribute.

      If the meaning of the 'Editable' attribute isn't clear, there really should be more of a description here...

      Se impostato a true la colonna è editabile. Il widget utilizzato per l'editing della colonna dipende dal tipo del field associato alla colonna (tramite la property selector):
      - CheckBox in caso di tipo boolean
      - TextField in tutti gli altri casi (stringhe, numerici, date)
      Inoltre, se sono impostate le property multiDataBinding o multiDataPropertySelector, che comportano la possibilità di scegliere il valore da una lista di valori, sarà utilizzata una ComboBox
      Returns:
        the value of the 'Editable' attribute.
      See Also:
        `setEditable(boolean)`, `GuigenPackage.getColumn_Editable()`

    - #### setEditable

          void setEditable(boolean value)

      Sets the value of the '`Editable`' attribute.
      Parameters:
        `value` - the new value of the 'Editable' attribute.
      See Also:
        `isEditable()`

    - #### isEventActive

          boolean isEventActive()

      Returns the value of the 'Event Active' attribute.

      If the meaning of the 'Event Active' attribute isn't clear, there really should be more of a description here...

      Indica che la colonna è cliccabile. Il click permette di scatenare l'evento CLICKED sulla tabella. deve essere utilizzato in congiunzione con un event handler nella Table, altrimenti non ha nessun effetto.
      Returns:
        the value of the 'Event Active' attribute.
      See Also:
        `setEventActive(boolean)`, `GuigenPackage.getColumn_EventActive()`

    - #### setEventActive

          void setEventActive(boolean value)

      Sets the value of the '`Event Active`' attribute.
      Parameters:
        `value` - the new value of the 'Event Active' attribute.
      See Also:
        `isEventActive()`

    - #### getEditableFlagSelector

          java.lang.String getEditableFlagSelector()

      Returns the value of the 'Editable Flag Selector' attribute.

      If the meaning of the 'Editable Flag Selector' attribute isn't clear, there really should be more of a description here...

      Permette di stabilire a runtime se una cella della colonna (che deve essere dichiarata editabile) sarà effettivamente editabile. Rappresenta il selettore di un field del record di cui è costituita la collezione collegata alla tabella: questo field deve essere di tipo boolean.
      Returns:
        the value of the 'Editable Flag Selector' attribute.
      See Also:
        `setEditableFlagSelector(String)`, `GuigenPackage.getColumn_EditableFlagSelector()`

    - #### setEditableFlagSelector

          void setEditableFlagSelector(java.lang.String value)

      Sets the value of the '`Editable Flag Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Editable Flag Selector' attribute.
      See Also:
        `getEditableFlagSelector()`

    - #### getMultiDataBinding

          AppDataBinding getMultiDataBinding()

      Returns the value of the 'Multi Data Binding' containment reference.

      If the meaning of the 'Multi Data Binding' containment reference isn't clear, there really should be more of a description here...

      Permette di associare ad una colonna editabile la possibilità di scegliere il valore della cella a partire da una collezione di coppie chiave/valore. Per specificare quale campo del record di cui è costituita questa collezione ausiliaria utilizzare come chiave e come descrizione, occorre impostare le property multidataKeySelector e multidataValueSelector. La collezione è la stessa per tutte le righe. Nel caso sia necessario differenziare l'insieme di valori a seconda della riga, utilizzare multidataPropertySelector.
      Returns:
        the value of the 'Multi Data Binding' containment reference.
      See Also:
        `setMultiDataBinding(AppDataBinding)`, `GuigenPackage.getColumn_MultiDataBinding()`

    - #### setMultiDataBinding

          void setMultiDataBinding(AppDataBinding value)

      Sets the value of the '`Multi Data Binding`' containment reference.
      Parameters:
        `value` - the new value of the 'Multi Data Binding' containment reference.
      See Also:
        `getMultiDataBinding()`

    - #### getMultidataKeySelector

          java.lang.String getMultidataKeySelector()

      Returns the value of the 'Multidata Key Selector' attribute.

      If the meaning of the 'Multidata Key Selector' attribute isn't clear, there really should be more of a description here...

      Utilizzato in congiunzione con multiDataBinding o multidataPropertySelector. Seleziona il field da utilizzare come chiave-valore della combo.
      Returns:
        the value of the 'Multidata Key Selector' attribute.
      See Also:
        `setMultidataKeySelector(String)`, `GuigenPackage.getColumn_MultidataKeySelector()`

    - #### setMultidataKeySelector

          void setMultidataKeySelector(java.lang.String value)

      Sets the value of the '`Multidata Key Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Multidata Key Selector' attribute.
      See Also:
        `getMultidataKeySelector()`

    - #### getMultidataValueSelector

          java.lang.String getMultidataValueSelector()

      Returns the value of the 'Multidata Value Selector' attribute.

      If the meaning of the 'Multidata Value Selector' attribute isn't clear, there really should be more of a description here...

      Utilizzato in congiunzione con multiDataBinding o multidataPropertySelector. Seleziona il field da utilizzare come label descrittiva nella combo.
      Returns:
        the value of the 'Multidata Value Selector' attribute.
      See Also:
        `setMultidataValueSelector(String)`, `GuigenPackage.getColumn_MultidataValueSelector()`

    - #### setMultidataValueSelector

          void setMultidataValueSelector(java.lang.String value)

      Sets the value of the '`Multidata Value Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Multidata Value Selector' attribute.
      See Also:
        `getMultidataValueSelector()`

    - #### getMultidataPropertySelector

          java.lang.String getMultidataPropertySelector()

      Returns the value of the 'Multidata Property Selector' attribute.

      If the meaning of the 'Multidata Property Selector' attribute isn't clear, there really should be more of a description here...

      Permette di associare ad una colonna editabile la possibilità di scegliere il valore della cella a partire da una collezione di coppie chiave/valore. Per specificare quale campo del record di cui è costituita questa collezione ausiliaria utilizzare come chiave e come descrizione, occorre impostare le property multidataKeySelector e multidataValueSelector. L'insieme dei valori è differenziato riga per riga . Nel caso sia sufficiente uno stesso insieme di valori per tutte le righe utilizzare multiDataBinding
      Returns:
        the value of the 'Multidata Property Selector' attribute.
      See Also:
        `setMultidataPropertySelector(String)`, `GuigenPackage.getColumn_MultidataPropertySelector()`

    - #### setMultidataPropertySelector

          void setMultidataPropertySelector(java.lang.String value)

      Sets the value of the '`Multidata Property Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Multidata Property Selector' attribute.
      See Also:
        `getMultidataPropertySelector()`

    - #### getTooltip

          java.lang.String getTooltip()

      Returns the value of the 'Tooltip' attribute. tooltip associato all'header della colonna
      Returns:
        the value of the 'Tooltip' attribute.
      See Also:
        `setTooltip(String)`, `GuigenPackage.getColumn_Tooltip()`

    - #### setTooltip

          void setTooltip(java.lang.String value)

      Sets the value of the '`Tooltip`' attribute.
      Parameters:
        `value` - the new value of the 'Tooltip' attribute.
      See Also:
        `getTooltip()`

    - #### getActiveFlagSelector

          java.lang.String getActiveFlagSelector()

      Returns the value of the 'Active Flag Selector' attribute. Permette di stabilire a runtime se una cella della colonna (che deve essere dichiarata eventActive) sarà effettivamente attiva (ovvero sarà "cliccabile"). Rappresenta il selettore di un field del record di cui è costituita la collezione collegata alla tabella: questo field deve essere di tipo boolean.
      Returns:
        the value of the 'Active Flag Selector' attribute.
      See Also:
        `setActiveFlagSelector(String)`, `GuigenPackage.getColumn_ActiveFlagSelector()`

    - #### setActiveFlagSelector

          void setActiveFlagSelector(java.lang.String value)

      Sets the value of the '`Active Flag Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Active Flag Selector' attribute.
      See Also:
        `getActiveFlagSelector()`

    - #### getFieldMaxLength

          int getFieldMaxLength()

      Returns the value of the 'Field Max Length' attribute. In caso di colonna editabile se specificato rappresenta il massimo numero di caratteri digitabili. Se il valore specificato è zero il campo non ha limiti.
      Returns:
        the value of the 'Field Max Length' attribute.
      See Also:
        `setFieldMaxLength(int)`, `GuigenPackage.getColumn_FieldMaxLength()`

    - #### setFieldMaxLength

          void setFieldMaxLength(int value)

      Sets the value of the '`Field Max Length`' attribute.
      Parameters:
        `value` - the new value of the 'Field Max Length' attribute.
      See Also:
        `getFieldMaxLength()`

    - #### isCustomDecorator

          boolean isCustomDecorator()

      Returns the value of the 'Custom Decorator' attribute. Se impostato a true abilita la definizione di un CustomDecorator, per impostazioni grafiche particolari da effettuarsi a livello della singola colonna.
      Returns:
        the value of the 'Custom Decorator' attribute.
      See Also:
        `setCustomDecorator(boolean)`, `GuigenPackage.getColumn_CustomDecorator()`

    - #### setCustomDecorator

          void setCustomDecorator(boolean value)

      Sets the value of the '`Custom Decorator`' attribute.
      Parameters:
        `value` - the new value of the 'Custom Decorator' attribute.
      See Also:
        `isCustomDecorator()`

    - #### getCustomSortPropertySelector

          java.lang.String getCustomSortPropertySelector()

      Returns the value of the 'Custom Sort Property Selector' attribute. Opzionale. Permette di indicare un campo differente da utilizzare per l'ordinamento della colonna. Utile in caso di decorator o in quei casi in cui serva un ordinamento custom dei valori della colonna (esempio: ordinamento dei valori della colonna senza tener conto di articoli, etc..)
      Returns:
        the value of the 'Custom Sort Property Selector' attribute.
      See Also:
        `setCustomSortPropertySelector(String)`, `GuigenPackage.getColumn_CustomSortPropertySelector()`

    - #### setCustomSortPropertySelector

          void setCustomSortPropertySelector(java.lang.String value)

      Sets the value of the '`Custom Sort Property Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Custom Sort Property Selector' attribute.
      See Also:
        `getCustomSortPropertySelector()`